summaryrefslogtreecommitdiff
path: root/tests/suite/testcompat-openssl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/suite/testcompat-openssl.sh')
-rwxr-xr-xtests/suite/testcompat-openssl.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/suite/testcompat-openssl.sh b/tests/suite/testcompat-openssl.sh
index 096d3da7ee..cec0c7161e 100755
--- a/tests/suite/testcompat-openssl.sh
+++ b/tests/suite/testcompat-openssl.sh
@@ -32,6 +32,11 @@
srcdir="${srcdir:-.}"
+if test "${GNUTLS_FORCE_FIPS_MODE}" = 1;then
+ echo "Cannot run in FIPS140-2 mode"
+ exit 77
+fi
+
if ! test -x /usr/bin/openssl; then
echo "You need openssl to run this test"
exit 77